# kabc Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KABC::Resource::Iterator Class Reference

Resource Iterator. More...

`#include <resource.h>`

List of all members.

## Public Member Functions

| Iterator (const Iterator &)
virtual Iterator & | operator= (const Iterator &)
virtual const Addressee & | operator * () const
virtual Addressee & | operator * ()
virtual Iterator & | operator++ ()
virtual Iterator & | operator++ (int)
virtual Iterator & | operator-- ()
virtual Iterator & | operator-- (int)
virtual bool | operator== (const Iterator &it)
virtual bool | operator!= (const Iterator &it)

## Public Attributes

IteratorData * | d

## Detailed Description

Resource Iterator.

This class provides an iterator for resource entries. By default it points to a QValueList<Addressee>::Iterator, but you can reimplement this class to fit your own needs.

Definition at line 68 of file resource.h.

The documentation for this class was generated from the following file:

- resource.h

This file is part of the documentation for kabc Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:31:53 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003